List available webhook events
curl --request GET \
--url https://api.partoo.co/v2/webhooks/events \
--header 'x-APIKey: <api-key>'import requests
url = "https://api.partoo.co/v2/webhooks/events"
headers = {"x-APIKey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};
fetch('https://api.partoo.co/v2/webhooks/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"business_created",
"business_updated",
"business_deleted",
"message_updated",
"message_created",
"review_created",
"review_updated",
"review_reply_created",
"review_reply_updated",
"review_reply_deleted",
"email_opt_out_created"
]{
"errors": {
"json": {}
}
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}Webhooks
List available webhook events
This endpoint returns the list of the webhook events available to the organization, depending on the subscribed products.
GET
/
webhooks
/
events
List available webhook events
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Query Parameters
Organization identifier, only required for PROVIDER users.
Response
OK
The webhook event type.
Available options:
business_created, business_updated, business_deleted, message_updated, message_created, lead_received Example:
[
"business_created",
"business_updated",
"business_deleted",
"message_updated",
"message_created",
"review_created",
"review_updated",
"review_reply_created",
"review_reply_updated",
"review_reply_deleted",
"email_opt_out_created"
]
Was this page helpful?
⌘I